Subject: [bug#28327] [PATCH] gnu: Add emacs-bash-completion.

From: Alex Kost <[email-masked]>
Date: Sat, 09 Sep 2017 22:44:17 +0300

Jan Nieuwenhuizen (2017-09-06 19:52 +0200) wrote:

> Alex Kost writes:
[...]
>> You also need to patch 'bash-completion-prog' variable using
>> 'emacs-substitute-variables' procedure (see (gnu packages emacs)
>> module for the examples).
>
> I have added something here and built package works and looks okay...

Now it looks OK for me as well :-)

> Because adding bash to (native-)inputs already made that
> 'emacs-substitute-variables' is set to bash instead of bash-minimal, I
> don't really know how to test it.

I see that with your patch, 'bash-completion-prog' has the value
"/gnu/store/...-bash-4.4.12/bin/bash", so it is definitely 'bash'
('bash-minimal' has "/gnu/store/...-bash-minimal-4.4.12/bin/bash" name).

[...]
>>> +    (license license:gpl3+)))
>>
>> I see GPL 2 or later in "bash-completion.el".
>
> I used guix import elpa --archive=melpa and didn't check.  It seems we
> cannot rely on that!

We definitely shouldn't rely on it, as the importer always puts 'gpl3+':

  http://git.savannah.gnu.org/cgit/guix.git/tree/guix/import/elpa.scm#n234

> New version attached, still 13 of the 30 lines were unchanged,
> wow...thanks for all your helpful remarks!

The patch looks good for me, thank you!

-- 
Alex